import { NextRequest } from 'next/server';
import { handleFeedbackRequest } from '@mintel/next-feedback';
import { config } from '@/lib/config';

export async function GET(req: NextRequest) {
  return handleFeedbackRequest(req as any, {
    url: config.infraCMS.url,
    token: config.infraCMS.token,
  });
}

export async function POST(req: NextRequest) {
  return handleFeedbackRequest(req as any, {
    url: config.infraCMS.url,
    token: config.infraCMS.token,
  });
}
